> ## Documentation Index
> Fetch the complete documentation index at: https://laminar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an evaluation datapoint

> Updates a datapoint's executor output, scores, and optional trace association.



## OpenAPI

````yaml /openapi/openapi.yaml post /v1/evals/{eval_id}/datapoints/{datapoint_id}
openapi: 3.1.0
info:
  title: Laminar API
  version: 1.0.0
  description: Public HTTP API for ingesting and managing data in a Laminar project.
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://api.lmnr.ai
    description: Laminar Cloud
security:
  - projectApiKey: []
tags:
  - name: Ingestion
    description: Send telemetry data to Laminar.
  - name: Traces
    description: Update trace data after ingestion.
  - name: SQL
    description: Query project data with read-only SQL.
  - name: Projects
    description: Resolve project information.
  - name: Datasets
    description: Read datasets and add datapoints.
  - name: Evaluations
    description: Create evaluation runs and record their results.
  - name: Labeling queues
    description: Add items to labeling queues.
  - name: Signals
    description: Manage automated evaluations of project traces.
  - name: LLM profiles
    description: Configure workspace LLM credentials and models for self-hosted Signals.
paths:
  /v1/evals/{eval_id}/datapoints/{datapoint_id}:
    post:
      tags:
        - Evaluations
      summary: Update an evaluation datapoint
      description: >-
        Updates a datapoint's executor output, scores, and optional trace
        association.
      operationId: updateEvaluationDatapoint
      parameters:
        - $ref: '#/components/parameters/EvaluationId'
        - $ref: '#/components/parameters/DatapointId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEvaluationDatapointRequest'
      responses:
        '200':
          description: Datapoint updated; returns the datapoint ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Uuid'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    EvaluationId:
      name: eval_id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Uuid'
    DatapointId:
      name: datapoint_id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Uuid'
  schemas:
    UpdateEvaluationDatapointRequest:
      type: object
      required:
        - scores
      properties:
        executorOutput:
          $ref: '#/components/schemas/JsonValue'
        scores:
          type: object
          additionalProperties:
            type:
              - number
              - 'null'
            format: double
        traceId:
          oneOf:
            - $ref: '#/components/schemas/Uuid'
            - type: 'null'
    Uuid:
      type: string
      format: uuid
    JsonValue: {}
    Error:
      oneOf:
        - type: object
          properties:
            error:
              type: string
          required:
            - error
        - type: string
  responses:
    BadRequest:
      description: Invalid request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid API key.
  securitySchemes:
    projectApiKey:
      type: http
      scheme: bearer
      bearerFormat: Project API key
      description: A Laminar project API key.

````